Subject: RE: Problems with DLL creation using LIBTOOL
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Rafael Jesus Alcantara Perez" <[email-masked]>, "Alexandre Oliva" <[email-masked]>
Cc: "Suhaib M. Siddiqi" <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Fri, 15 Oct 1999 21:14:06 -0400

> Ok, but, at least on these platforms:
>
> * sparc-sun-solaris2.6
> * i586-pc-linux-gnu
>
> ... I have compiled shared and static libraries successfully

The Dlls on Windows and shared libraries on Unices are two different things.

You will need to adapt your configure files so DLLs are created.
Hvae a look at GGI code (http://www.ggi-project.org).  It is a very good
example of using LIBTOOLS under Cygwin. Compile it, learn how it creates
shared libs on Unices and DLLs on Win32/Cygwin then take their scripts
and adapt them for your code.

Suhaib

>(I
> haven't read
> that section in the INFO file :) So I'll have to wait for better
> supporting
> of C++ (LIBTOOL is one of the best tools I use for development).
>
> Thanks.
> Rafa.
> --
> +----------
> | Rafael Jesus Alcantara Perez. P.O. Box 1199, 29080 Malaga, SPAIN.
> | Email: mailto:[email-masked]
> | PGP public key: http://www.vnet.es/~ralcan/public-key.asc
> +---------------------
> "For every complex problem there is a solution that is concise,
> clear, simple, and wrong."
> (H. L. Mencken)
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]